summaryrefslogtreecommitdiffstats
path: root/openwrt/package/ez-ipupdate/files/ez-ipupdate.init
diff options
context:
space:
mode:
authorflorian <florian@3c298f89-4303-0410-b956-a3cf2f4a3e73>2006-01-02 12:41:24 +0000
committerflorian <florian@3c298f89-4303-0410-b956-a3cf2f4a3e73>2006-01-02 12:41:24 +0000
commit867f8d07c7b6200cba0e4b9bc2d4e718e860eb9f (patch)
tree708e65574381272917d392607570f0c2de457bf0 /openwrt/package/ez-ipupdate/files/ez-ipupdate.init
parenta93925fbc86e4eb16238ccca9c9f85253e9d74f8 (diff)
Fixed ticket #44
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@2803 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'openwrt/package/ez-ipupdate/files/ez-ipupdate.init')
-rw-r--r--openwrt/package/ez-ipupdate/files/ez-ipupdate.init22
1 files changed, 22 insertions, 0 deletions
diff --git a/openwrt/package/ez-ipupdate/files/ez-ipupdate.init b/openwrt/package/ez-ipupdate/files/ez-ipupdate.init
new file mode 100644
index 000000000..157217561
--- /dev/null
+++ b/openwrt/package/ez-ipupdate/files/ez-ipupdate.init
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+BIN=ez-ipupdate
+CONF=/etc/$BIN.conf
+RUN_D=/var/run
+PID_F=$RUN_D/$BIN.pid
+[ -f $CONF ] || exit
+
+case $1 in
+ start)
+ mkdir -p $RUN_D
+ $BIN -c $CONF
+ ;;
+ stop)
+ [ -f $PID_F ] && kill $(cat $PID_F)
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+
+exit $?